
def setWeight(gr,nw,porder,col,name):
    w=gr.W[nw]
    w.on()
    w.name=name
    w.plotorder=porder
    w.color=col
    w.skip=5
    w.fill=0
    return

killall()
g=G[1]
paper.size=(1000,500)

gr=g.read('bandweight','+bwsum')[0].group
gr.line.color=0xaaaaaa
gr.weightfactor=1
gr.weightstyle='individual'
gr.line.width=1

setWeight(gr,1,4,0xaa0000,'FPLO B 2s')
setWeight(gr,2,3,0xaa00,'FPLO B 2p')
#setWeight(gr,3,2,0xaa,'FPLO 2p$_z$.')


gr=g.read('band','+wanband')[0].group
gr.line.color=0xff0000
gr.line.width=2

gr=g.read('band','+wanbandtb')[0].group
gr.line.color=0xff00
gr.line.width=2


Legend(1).on()\
  .setText(font=FontStyle(size=12,subscriptscale=0.75,color=0x0),
    linespacing=0.2)\
  .setSymbol(spacing=0.5,width=3)\
  .setFrame(Frame(active=1,borderspacing=0.8,
      rim=LineStyle(style='solid',width=1,color=0x0,extracolor=True),
      fill=FillStyle(active=True,color=0xffffff,extracolor=True)))\
  .setGeometry(position=(1.02527 , 0.827041),origin=(1,0))



g.title.text="MgB$_2$. FPLO character and Wannier fit"
g.view.setGeometry(x0=0.15156,y0=0.19754,width=0.356013,height=0.589925)
g.usertics[0].label =""
g.world.y=[ -20,20]

#########################

g=G[2]
gr=g.read('bandweight','+wanbweights')[0].group
gr.weightstyle='individual'
gr.weightfactor=2
wgts=[1,2,3]
for i,w in enumerate(gr.W):
    w.off()
    if i+1 in wgts:
        w.on()
        w.fill=0
        w.skip=9




g.yaxislabel.off()
g.view.setGeometry(x0=0.55156,y0=0.19754,width=0.356013,height=0.589925)
g.ytics.major.off()
g.title.text="Wannier character"
g.world.y=[ -20,20]


printto("wanbweights_sp2_AB.png")
