# -- mode: PYTHON --

killall()

E0=-1272.800

def readFunc(g,fname,E0,Efac,legend,col):
    ret=g.read('xny',fname)[0]
    gr=ret.group
    s=ret.sets[0]
    s.y=(s.y-E0)*Efac
    s.legend=legend
    s.line.style='None'
    s.symbol.style='o'
    s.symbol.fill.active=1

    s2=gr.S.new(s)
    s2.bspline(2,0,Vector(100,s.x[0],s.x[-1]))
    s2.showinlegend=0
    s.line.color=col
    s2.line.color=col

    return ret


g=G[1]
ret=readFunc(g,'def/e',E0,1000,'def',0x0)
ret=readFunc(g,'DT+f/e',E0,1000,'DT+f',0xff)


g.title.on()
g.title.text='Fe in GGA'
g.title.position=( 1.17716 , -0.0648753)
g.title.restriction=None

g.yaxislabel.text='Energy [mHa]'
g.xaxislabel.text='a [a$_B$.]'
g.autoscale()
g.xtics.auto=0
g.xtics.major.spacing=0.4



g2=G[2]
#ret=g2.read('xny', 'def/s')[0]
ret=readFunc(g2,'def/s',0,1,'def',0xdd0000)
ret=readFunc(g2,'DT+f/s',0,1,'DT+f',0xaa00)


g2.title.off()
g2.yaxislabel.text='moment [$~m$_B$.]'
g2.xaxislabel.text='a [a$_B$.]'
g2.autoscale()
g2.xtics.auto=0
g2.xtics.major.spacing=0.4
g2.legend.position=(0.5285,0.0252797)


arrange(Nx=2,aspectratio=1./1.5,commonyaxis=0,hgap=0.4,bottomgap=0.17,topgap=0.14,
        leftgap=0.12,rightgap=0.06)